Name:           scrcpy
Version:        1.19
Release:        1%{?dist}
Summary:        Display and control your Android device

License:        ASL 2.0
URL:            https://github.com/Genymobile/scrcpy

Source0:        https://github.com/Genymobile/%{name}/archive/scrcpy-%{version}.tar.gz
Source1:        https://github.com/Genymobile/scrcpy/releases/download/v%{version}/scrcpy-server-v%{version}
Source2:	scrcpy.png

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  java-1.8.0-openjdk-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(ffms2)

Requires: adb

%description
This application provides display and control of Android devices connected on USB (or over TCP/IP).

%prep
%autosetup -v

%build
%meson -Db_lto=true -Dprebuilt_server='%{S:1}'
%meson_build

%install
%meson_install

# Additional files
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/scrcpy/scrcpy-server
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/scrcpy/scrcpy.png

%files
%license LICENSE
%doc README.md DEVELOP.md FAQ.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/scrcpy.1.gz

# Additional files
%attr(640,root,root) %{_datadir}/scrcpy/scrcpy-server
%attr(640,root,root) %{_datadir}/scrcpy/scrcpy.png

%changelog
* Wed Jun 23 2021 spoonsauce
- Update to scrcpy 1.18
- Add Fedora 34 support
- Remove Fedora 31 support

* Wed Jan 6 2021 spoonsauce
- Update to scrcpy 1.17
- Add Fedora 33 support
- Remove Fedora 32 support

* Thu Aug 13 2020 spoonsauce
- Update to scrcpy 1.16

* Wed Jun 10 2020 spoonsauce
- Update to scrcpy 1.14

* Thu Apr 30 2020 spoonsauce
- Update to scrcpy 1.13
- Remove Fedora 30 support
- Add Fedora 32 support

* Thu Dec 12 2019 spoonsauce
- Update to scrcpy 1.12.1

* Tue Dec 10 2019 spoonsauce
- Update to scrcpy 1.12
- Remove Fedora 29 support (i386 and x86_64)
- Remove Fedora 30 support (i386 only)

* Wed Nov 20 2019 spoonsauce
- Update to scrcpy 1.11
- Add Fedora 31 support (x86_64)
- Add Fedora Rawhide support (x86_64)

* Thu Aug 15 2019 spoonsauce
- Update to scrcpy 1.10

* Fri Jul 19 2019 spoonsauce
- Initial import of scrcpy 1.9
